Subject: [radext] #124: private enterprise numbers

From: "radext issue tracker" <[email-masked]>
Date: Wed, 23 May 2012 14:28:05 -0000

#124: private enterprise numbers

 In section 2.4, when defining Vendor-Id:

 > The high-order octet is 0 and the low-order 3 octets are the SMI Network
 Management Private Enterprise Code of the Vendor in network byte order.

 There seems to be an assumption here that PENs are limited to 3 octets -
 this is not true. Actually discussions around http://www.ietf.org/id
 /draft-liang-iana-pen-00.txt question whether 32 bits is enough. I suggest
 to use all 4 octets.

-- 
-------------------------+-------------------------------------------------
 Reporter:  dromasca@…   |      Owner:  draft-ietf-radext-radius-
     Type:  defect       |  extensions@…
 Priority:  blocker      |     Status:  new
Component:  radius-      |  Milestone:  milestone1
  extensions             |    Version:  1.0
 Severity:  In WG Last   |   Keywords:
  Call                   |
-------------------------+-------------------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/radext/trac/ticket/124>
radext <http://tools.ietf.org/radext/>

_______________________________________________
radext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/radext

---

From: "radext issue tracker" <[email-masked]>
Date: Wed, 23 May 2012 14:39:54 -0000

Comment (by aland@…):

 I suggest changing this text to:

 ---
 The 4 octets are the SMI Network Management Private Enterprise Code of
 the Vendor in network byte order.

 Note that this is a change from [RFC2865], where the Vendor-Id is
 explicitly 3 octets.
 ---

 fixing RFC 2865 is another issue entirely.

 Severity:  In WG Last   |  Resolution:
 Keywords:               |

Ticket URL: <http://trac.tools.ietf.org/wg/radext/trac/ticket/124#comment:1>
radext <http://tools.ietf.org/radext/>

---

From: "radext issue tracker" <[email-masked]>
Date: Wed, 23 May 2012 14:39:54 -0000

Comment (by aland@…):

 ---

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 23 May 2012 16:42:47 +0200

Indeed, the situation with [RFC2865] implementations Vendor-Id field when PENs will exceed values that can be coded with three octets needs to be considered separately. 

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of radext issue tracker
> Sent: Wednesday, May 23, 2012 5:40 PM
> To: [email-masked];
> [email-masked]
> Cc: [email-masked]
> Subject: Re: [radext] #124: private enterprise numbers
> 
> Ticket URL:
> <http://trac.tools.ietf.org/wg/radext/trac/ticket/124#comment:1>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 23 May 2012 16:42:47 +0200

Dan